Package: org.apache.groovy.groovysh

## [Groovy] Class Main.ExtraConsoleCommands

- org.apache.groovy.groovysh.Main.ExtraConsoleCommands

- All Implemented Interfaces and Traits:
    CommandRegistry

      @SuppressWarnings(value="resource")
      protected static class Main.ExtraConsoleCommands
      extends JlineCommandRegistry
      implements CommandRegistry

  Registers the extra console commands that augment the interactive shell.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtraConsoleCommands(Path workDir, GroovyEngine scriptEngine, LineReader reader)` Creates the auxiliary console command registry used by the shell.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<String>` | `commandInfo(String command)` Returns summary text for the specified command.
    `` | `Path` | `currentDir()` Returns the current working directory tracked by the POSIX command context.
    `` | `String` | `name()` Returns the help-group name used for the extra console commands.

- - ### Constructor Detail

    - #### ExtraConsoleCommands(Path workDir, GroovyEngine scriptEngine, LineReader reader)

      Creates the auxiliary console command registry used by the shell.

      Parameters:
        `workDir` - initial working directory
        `scriptEngine` - script engine backing the shell session
        `reader` - active line reader

  - ### Method Detail

    - #### @Override
      List<String> commandInfo(String command)

      Returns summary text for the specified command.

      Parameters:
        `command` - command name to describe
      Returns:
        help lines for the command

    - #### Path currentDir()

      Returns the current working directory tracked by the POSIX command context.

      Returns:
        the active working directory

    - #### @Override
      String name()

      Returns the help-group name used for the extra console commands.

      Returns:
        the console command group name